<div class="card">
  <div class="card-header">
    <h3 class="card-title">DataTable with minimal features & hover style</h3>
  </div>
  <!-- /.card-header -->
  <div class="card-body">
    <table id="example2" class="table table-bordered table-hover">
      <thead>
        <tr>
          <th>Id</th>
          <th>Nombre</th>
          <th>Precio(s)</th>
          <th>Fecha</th>
          <th>Direccion</th>
          <th>Ubicacion</th>
          <th></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let item of listaProductos">
          <td>{{item.id}}</td>
          <td><a [routerLink]="['/prd/editar', item.id]">{{item.name}}</a></td>
          <td>{{item.price}}</td>
          <td>{{item.date}}</td>
          <td>{{item.address}}</td>
          <td>{{item.location}}</td>
          <td><a [routerLink]="['/prd/ver', item.id]">View</a></td>
        </tr>
      </tbody>
      <tfoot>
        <tr>
          <th>Id</th>
          <th>Nombre</th>
          <th>Precio(s)</th>
          <th>Fecha</th>
          <th>Direccion</th>
          <th>Ubicacion</th>
          <th></th>
        </tr>
      </tfoot>
    </table>
    <button (click)="cambiarPagina(-1)">Anterior</button>
    <button (click)="cambiarPagina(1)">Siguiente</button>
    <button (click)="cearPagina()">Nuevo Producto</button>
    <mat-paginator 
      [length]="tElements" 
      [pageSize]="rp" 
      [pageSizeOptions]="pageSizeOptions"
      (page)="handlePages($event)" 
      aria-label="Select page">
    </mat-paginator>
  </div>
  <!-- /.card-body -->
</div>
<!-- /.card -->